Home Help Center

Using x64 Ice 3.3.0 dlls built with VC90 with Visual Studio 2013 on Win 8.1 bombs app

PeteHPeteH Member Peter HugOrganization: Warehouse Optimization LLCProject: APAL
I get runtime errors when I run the app built in this way. If I use Visual Studio 2008 I have no issues. Is this a known issue? Is there a workaround?

Thanks :)

Comments

  • benoitbenoit Rennes, FranceAdministrators, ZeroC Staff Benoit FoucherOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Hi,

    This is something which isn't supported, you can't use the Ice DLLs built with Visual Studio 2008 with Visual Studio 2013. This isn't really specific to Ice, it's in general not recommended to mix different Visual C++ runtime libraries within the same program, see an explanation of the reasons here. I recommend upgrading to Ice 3.6 for use with Visual Studio 2013 and Windows 8.1.

    Cheers,
    Benoit.

Sign In or Register to comment.